package com.ssj.framework.weixin.card.qrcode;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/** 
 * @author  ZhangCaibao 
 * @version 2017年3月3日 上午11:54:08 
 * 当开发者设置扫描二维码领取多张卡券，此时POST数据为：
 */
public class MultipleCardCode implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -8036323832819875403L;

	/**
	 * 	二维码类型，QR_MULTIPLE_CARD
	 */
	private String action_name;
	
	private Map<String,Map<String,List<CardCardList>>> action_info;
	public  MultipleCardCode (){
		super();
	}
	public  MultipleCardCode (List<CardCardList> card_list){
		Map<String,Map<String,List<CardCardList>>> action_infoMap = new HashMap<String, Map<String,List<CardCardList>>>();
		Map<String,List<CardCardList>> map  =new  HashMap<String, List<CardCardList>>();
		map.put("card_list", card_list);
		action_infoMap.put("multiple_card", map);
		this.action_info= action_infoMap;
		this.action_name  = "QR_MULTIPLE_CARD";
	}
	

	public String getAction_name() {
		return action_name;
	}

	public void setAction_name(String action_name) {
		this.action_name = action_name;
	}
	public Map<String, Map<String, List<CardCardList>>> getAction_info() {
		return action_info;
	}
	public void setAction_info(
			Map<String, Map<String, List<CardCardList>>> action_info) {
		this.action_info = action_info;
	}

	
	
	
	
}
